# configfile.py
# configuration file I/O utilities
# 2006.06.09 YOSHIKAWA, Tomohiro
#
# configuration file shuld be the format:
# KEYNAME            (separator) VALUE # COMMENT
from datalist import str2data

def load(file, separator='='):
    config=[]
    for line in open(file):
        line = line.strip()
        if len(line) == 0: continue
        if line[0] == '#': continue
        data = line.split(separator)
        #print data
        key = data[0].strip()
        vals = data[1].split('#')
        value = str2data(vals[0].strip())
        config.append((key,value))
    return dict(config)

def write(config, outfile, separator='=', delimiter='\t'):
    outf = open(outfile, 'w')
    for k, v in config.iteritems():
        outf.write("%s%s%s%s%s\n"%(k,delimiter,separator,delimiter,v))
    outf.close()
    
