"""
webform.py - Web form libraries
YOSHIKAWA, Tomohiro
$Log: not supported by cvs2svn $

"""

import time
def dateselect(ymin=2004, ymax=2020, hrmin=18, hrmax=31, min=[0, 15, 30, 45]):
    cyr, cmon, cday, chr, cmin = time.localtime()[:5]
    if min == None:
        min = range(0,60)
    page = '<select class="day" name="day">\n'
    # day
    for day in range(1, 32):
        if day == cday:
            page = page  + '<option value="%02d" selected>%02d</option>\n' %(day,day)
        else:
            page = page  + '<option value="%02d">%02d</option>\n' %(day,day)
    page = page + '</select>\n'
    # month
    page = page + '<select class="month" name="month">\n'
    for num, str in zip(range(1,13), ['January', 'February', 'March', 'April', 'May', 'June',
                                   'July', 'August', 'September', 'October', 'November', 'December']):
        if num == cmon:
            page = page + '<option value="%02d" selected>%s</option>\n' % (num, str)
        else:
            page = page + '<option value="%02d">%s</option>\n' % (num, str)
    page = page + '</select>\n'
    # year
    page = page + '<select class="year" name="year">\n'
    for year in range(ymin, ymax):
        if year == cyr:
            page = page + '<option value="%04d" selected>%04d</option>\n' % (year, year)
        else:
            page = page + '<option value="%04d">%04d</option>\n' % (year, year)
    page = page + '</select>\n'
    # hour
    page = page + '<select class="hr" name="hr">\n'
    for hr in range(hrmin, hrmax):
        if hr > 24: hr = hr - 24
        if hr == chr:
            page = page + '<option value="%02d" selected>%02d</option>\n' % (hr,hr)
        else:
            page = page + '<option value="%02d">%02d</option>\n' % (hr,hr)
    page = page + '</select>\n'
    page = page + ':\n'
    # min
    page = page + '<select class="min" name="min">\n'
    for m in min:
        if m > 60: m = m - 60
        page = page +'<option value="%02d">%02d</option>\n'%(m,m)
    page = page + '</select>\n'
    return page
